edu.isi.pegasus.common.credential

## Interface CredentialHandler

All Known Implementing Classes:
  Abstract, Irods, Proxy, S3CFG, Ssh

    public interface CredentialHandler

The credential interface that defines the credentials that can be associated with jobs.

Author:
  Karan Vahi

### Nested Class Summary

Nested Classes
`static class` `CredentialHandler.TYPE` An enumeration of valid types of credentials that are supported.

### Field Summary

Fields
`static java.lang.String` `VERSION` The version of the API being used.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getBaseName(java.lang.String site)` returns the basename of the credential file name
`java.lang.String` `getDescription()` Returns the description for the implementing handler
`java.lang.String` `getEnvironmentVariable(java.lang.String site)` Returns the name of the environment variable that needs to be set for the job associated with the credential.
`java.lang.String` `getPath()` Returns the path to the credential on the submit host.
`java.lang.String` `getPath(java.lang.String site)` Returns the path to the credential for a particular site handle
`java.lang.String` `getProfileKey()` Returns the env or pegasus profile key that needs to be associated for the credential.
`void` `initialize(PegasusBag bag)` Initializes the credential implementation.

### Field Detail

#### VERSION

    static final java.lang.String VERSION

The version of the API being used.

See Also:
  Constant Field Values

### Method Detail

#### initialize

    void initialize(PegasusBag bag)

Initializes the credential implementation. Implementations require access to the logger, properties and the SiteCatalog Store.

Parameters:
  `bag` - the bag of Pegasus objects.

#### getPath

    java.lang.String getPath()

Returns the path to the credential on the submit host.

Returns:

#### getPath

    java.lang.String getPath(java.lang.String site)

Returns the path to the credential for a particular site handle

Parameters:
  `site` - the site catalog entry object.
Returns:
  the path to the credential

#### getProfileKey

    java.lang.String getProfileKey()

Returns the env or pegasus profile key that needs to be associated for the credential.

Returns:
  the name of the environment variable.

#### getEnvironmentVariable

    java.lang.String getEnvironmentVariable(java.lang.String site)

Returns the name of the environment variable that needs to be set for the job associated with the credential.

Returns:
  the name of the environment variable.

#### getDescription

    java.lang.String getDescription()

Returns the description for the implementing handler

Returns:
  description

#### getBaseName

    java.lang.String getBaseName(java.lang.String site)

returns the basename of the credential file name

Parameters:
  `site` - the side to associate with.
Returns: